org.springframework.batch.core.jsr

## Class JsrJobExecution

- java.lang.Object
- - org.springframework.batch.core.jsr.JsrJobExecution

- All Implemented Interfaces:
    javax.batch.runtime.JobExecution

      public class JsrJobExecution
      extends java.lang.Object
      implements javax.batch.runtime.JobExecution

  Wrapper class to adapt the `JobExecution` to a `JobExecution`.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrJobExecution(JobExecution execution, JobParametersConverter parametersConverter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()`
    `java.util.Date` | `getCreateTime()`
    `java.util.Date` | `getEndTime()`
    `long` | `getExecutionId()`
    `java.lang.String` | `getExitStatus()`
    `java.lang.String` | `getJobName()`
    `java.util.Properties` | `getJobParameters()`
    `java.util.Date` | `getLastUpdatedTime()`
    `java.util.Date` | `getStartTime()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrJobExecution

          public JsrJobExecution(JobExecution execution,
                                 JobParametersConverter parametersConverter)

      Parameters:
        `execution` - for all information to be delegated from.
        `parametersConverter` - instance of `JobParametersConverter`.

  - ### Method Detail

    - #### getExecutionId

          public long getExecutionId()

      Specified by:
        `getExecutionId` in interface `javax.batch.runtime.JobExecution`

    - #### getJobName

          public java.lang.String getJobName()

      Specified by:
        `getJobName` in interface `javax.batch.runtime.JobExecution`

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

      Specified by:
        `getBatchStatus` in interface `javax.batch.runtime.JobExecution`

    - #### getStartTime

          public java.util.Date getStartTime()

      Specified by:
        `getStartTime` in interface `javax.batch.runtime.JobExecution`

    - #### getEndTime

          public java.util.Date getEndTime()

      Specified by:
        `getEndTime` in interface `javax.batch.runtime.JobExecution`

    - #### getExitStatus

          public java.lang.String getExitStatus()

      Specified by:
        `getExitStatus` in interface `javax.batch.runtime.JobExecution`

    - #### getCreateTime

          public java.util.Date getCreateTime()

      Specified by:
        `getCreateTime` in interface `javax.batch.runtime.JobExecution`

    - #### getLastUpdatedTime

          public java.util.Date getLastUpdatedTime()

      Specified by:
        `getLastUpdatedTime` in interface `javax.batch.runtime.JobExecution`

    - #### getJobParameters

          public java.util.Properties getJobParameters()

      Specified by:
        `getJobParameters` in interface `javax.batch.runtime.JobExecution`